com.parse

## Class ParseAnonymousUtils

- java.lang.Object
- - com.parse.ParseAnonymousUtils

    public final class ParseAnonymousUtils
    extends Object

Provides utility functions for working with Anonymously logged-in users. Anonymous users have some unique characteristics:

- Anonymous users don't need a user name or password.
- Once logged out, an anonymous user cannot be recovered.
- When the current user is anonymous, the following methods can be used to switch to a different user or convert the anonymous user into a regular one:
  - signUp converts an anonymous user to a standard user with the given username and password. Data associated with the anonymous user is retained.
  - logIn switches users without converting the anonymous user. Data associated with the anonymous user will be lost.
  - Service logIn (e.g. Facebook, Twitter) will attempt to convert the anonymous user into a standard user by linking it to the service. If a user already exists that is linked to the service, it will instead switch to the existing user.
  - Service linking (e.g. Facebook, Twitter) will convert the anonymous user into a standard user by linking it to the service.

### Method Summary

Methods
`static boolean` `isLinked(ParseUser user)` Whether the user is logged in anonymously.
`static void` `logIn(LogInCallback callback)` Creates an anonymous user in the background.
`static Task<ParseUser>` `logInInBackground()` Creates an anonymous user in the background.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isLinked

    public static boolean isLinked(ParseUser user)

Whether the user is logged in anonymously.

Parameters:
  `user` - User to check for anonymity. The user must be logged in on this device.
Returns:
  True if the user is anonymous. False if the user is not the current user or is not anonymous.

#### logInInBackground

    public static Task<ParseUser> logInInBackground()

Creates an anonymous user in the background.

Returns:
  A Task that will be resolved when logging in is completed.

#### logIn

    public static void logIn(LogInCallback callback)

Creates an anonymous user in the background.

Parameters:
  `callback` - The callback to execute when anonymous user creation is complete.